Get a VM
GET
The VM, its project, its services and its newest events. vm.urls holds each service's public URL by port.
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
vmId*stringThe VM.
application/json- response
events*array<>The newest 50 events, newest first.
project*services*array<>vm*[key: string]?unknowncurl -X GET 'https://api.homemade.dev/api/vms/string'Example Response
{ "events": [ { "createdAt": "2019-08-24T14:15:22Z", "data": null, "id": "string", "initiatorKind": "string", "initiatorRef": "string", "reason": "string", "type": "string" } ], "project": { "id": "string", "name": "string", "slug": "string", "property1": null, "property2": null }, "services": [ { "name": "string", "port": 0, "property1": null, "property2": null } ], "vm": { "asleepAt": "2019-08-24T14:15:22Z", "branch": "string", "createdAt": "2019-08-24T14:15:22Z", "diskGb": 0, "id": "string", "lastActiveAt": "2019-08-24T14:15:22Z", "name": "string", "projectId": "string", "ramMb": 0, "region": "eu", "sleepAfterMinutes": 0, "sleepAt": "2019-08-24T14:15:22Z", "slug": "string", "sshHost": "string", "startedAt": "2019-08-24T14:15:22Z", "state": "queued", "urls": { "property1": "string", "property2": "string" }, "vcpu": 0, "property1": null, "property2": null }, "property1": null, "property2": null}